Advanced digitizing doesn't accept mathematical operations when QGIS uses language other than
EN

2018-12-15 12:30 PM - Antoine Lafranchis

Status: Open

Priority: Normal

Assignee:

Category: Digitising

Affected QGIS version:3.5(master) Regression?: No
Operating System: Easy fix?: No
Pull Request or Patch supplied: Resolution:

Crashes QGIS or corrupls data: Copied to github as #: 28636
Description

In english locale (en_US), advanced digitizing values (d, a, x, y) accept mathematical operations. It's possible, for example, to type
"132.15000/2" in the distance field to snap on the midpoint of a line.

In french locale (fr_FR), entering mathematical operation doesn't work directly. The format of the numbers is comma (e.g. 132,15000),
and mathematical operations are accepted only if | replace the comma with a dot before pressing enter.

History

#1 - 2019-01-07 03:44 PM - Jesahel Benoist

Somehow linked to #18963-3

#2 - 2019-01-27 04:45 PM - salvatore fiandaca

| also confirm the problem for the Italian language.
win 10 64b OSGeo4W QGIS 3.4.4 e master

#3 - 2019-01-28 10:55 AM - Giovanni Manghi
- Affected QGIS version changed from 3.4.2 to 3.4.4
- Subject changed from Advanced digitizing doesn't accept mathematical operations in french locale to Advanced digitizing doesn't accept

mathematical operations when QGIS uses language other than EN
#4 - 2019-02-13 11:56 AM - Loic BARTOLETTI
- Operating System deleted (Windows 10)

- Affected QGIS version changed from 3.4.4 to 3.5(master)
